Bug 595637 - Review Request: qoauth- Qt-based C++ library for OAuth authorization scheme
Summary: Review Request: qoauth- Qt-based C++ library for OAuth authorization scheme
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 595638
TreeView+ depends on / blocked
 
Reported: 2010-05-25 09:07 UTC by Chen Lei
Modified: 2010-06-23 09:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-23 09:09:33 UTC
Type: ---
tomspur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chen Lei 2010-05-25 09:07:06 UTC
Description of problem:

QOAuth is a Qt-based C++ implementation of an interface to services using
OAuth authorization scheme.


SPEC:http://dl.dropbox.com/u/1338197/1/qoauth.spec
SRPM:http://dl.dropbox.com/u/1338197/1/qoauth-1.0.1-0.1.20100525gitec7e4d5.fc13.src.rpm

This library is the requirement for building qwit 1.1.

Comment 1 Thomas Spura 2010-06-20 13:56:42 UTC
I have a slow internet connection atm.

Will do a full review, when I can download the qt stuff this week...

A few comments for now:
- Is there a reason why you use %{?isa}? I don't think leaving them out will cause problems, but maybe I'm wrong...?
This makes only sense, when using e.g:
%ifarch %ix86
Requires: %{name}.(i?86|athlon|geode)
%endif
%ifarch x86_64 amd64 ia32e
Requires: %{name}.(x86_64|amd64|ia32e)
%endif

Or is this common in KDE?
(This is my first look at a KDE/qt package ever^^)

- You aren't consistend with tabbing:
  4 Name:           qoauth
  5 Version:                1.0.1
  6 Release:                0.1.%{gitdate}git%{githash}%{?dist}
  7 Summary:                Qt-based C++ library for OAuth authorization scheme
  8 Group:          System Environment/Libraries
  9 License:                LGPLv2+
 10 URL:                    http://github.com/ayoy/qoauth

Would be more readable otherwise.

- checksum does not match (which is excpected, because of the timestamps):
  diff -r is clean

- name ok
- koji successfull: http://koji.fedoraproject.org/koji/taskinfo?taskID=2259994
- rpmlint ok:
$ rpmlint ./qoauth-1.0.1-0.1.20100525gitec7e4d5.fc13.src.rpm ./x86_64/qoauth-*
qoauth.src:11: W: macro-in-comment %{version}
qoauth.src:11: W: macro-in-comment %{name}
qoauth.src:11: W: macro-in-comment %{version}
qoauth.src:14: W: macro-in-comment %h
qoauth.src:14: W: macro-in-comment %h
qoauth.src: W: no-cleaning-of-buildroot %install
qoauth.src: W: no-buildroot-tag
qoauth.src: W: invalid-url Source0: qoauth-ec7e4d5.tar.bz2
4 packages and 0 specfiles checked; 0 errors, 8 warnings.

macro-in-comment could be avoided when using s/%/%%/g.

- libs correctly packaged
- no static libs
- no *.la
- parallel make is there
- BR/R ok
- doc is not too big, to need to split in a subpackage

#############################################################################

Only cosmetic issues: macro-in-comment + tabbing + %{?isa}.

#############################################################################

APPROVED

Comment 2 Chen Lei 2010-06-21 02:38:39 UTC
New Package CVS Request
=======================
Package Name: qoauth
Short Description: Qt-based C++ library for OAuth authorization scheme
Owners: supercyper
Branches: F-12 F-13
InitialCC:

Comment 3 Chen Lei 2010-06-21 02:46:49 UTC
(In reply to comment #1)
> 
> A few comments for now:
> - Is there a reason why you use %{?isa}? I don't think leaving them out will
> cause problems, but maybe I'm wrong...?
> This makes only sense, when using e.g:
> %ifarch %ix86
> Requires: %{name}.(i?86|athlon|geode)
> %endif
> %ifarch x86_64 amd64 ia32e
> Requires: %{name}.(x86_64|amd64|ia32e)
> %endif
> 
> Or is this common in KDE?
> (This is my first look at a KDE/qt package ever^^)
It's common in KDE packages, it's useless under most circumstance, but I still suggest to use it when requires multiarch libs explicitly.

See https://fedoraproject.org/wiki/PackagingDrafts/ArchSpecificRequires

> 
> - You aren't consistend with tabbing:
>   4 Name:           qoauth
>   5 Version:                1.0.1
>   6 Release:                0.1.%{gitdate}git%{githash}%{?dist}
>   7 Summary:                Qt-based C++ library for OAuth authorization scheme
>   8 Group:          System Environment/Libraries
>   9 License:                LGPLv2+
>  10 URL:                    http://github.com/ayoy/qoauth
> 
> Would be more readable otherwise.
> 
My Editor is wrong some days ago: ), will be fixed soon.

Comment 4 Kevin Fenzi 2010-06-23 01:47:20 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Chen Lei 2010-06-23 09:09:33 UTC
Thanks a lot for the review. I fixed the following issues already except macro-in-comment and add %check section to the spec.

See http://cvs.fedoraproject.org/viewvc/devel/qoauth/qoauth.spec?revision=1.3&view=markup


Note You need to log in before you can comment on or make changes to this bug.